from os import chdir
import numpy as np
import matplotlib.pyplot as plt

chdir("...")#Mettre votre chemin d'acces ici

###Tracé des concentrations
t = [i for i in range(14)]#min
I2 = [0,2.3E-3,4.1E-3,5.5E-3,6.7E-3,7.6E-3,8.3E-3,8.7E-3,9.1E-3,9.2E-3,9.3E-3,9.4E-3,9.45E-3,9.5E-3]
H2O2 = [9.5E-3,7.1E-3,5.4E-3,4.0E-3,2.8E-3,1.9E-3,1.2E-3,7.6E-4,4.3E-4,2.9E-4,2.0E-4,1.0E-4,5.0E-5,2.0E-5]

plt.figure(1)
plt.plot(t,H2O2,'k+',label="[H2O2]")
plt.plot(t,I2,'k*',label="[I2]")
plt.title ("Concentrations")
plt.xlabel("time (min)")
plt.ylabel("Concentrations (mol/L)")
plt.legend()
plt.savefig("Concentrations")
plt.show()

###Testing order 1
from os import chdir
import numpy as np
import matplotlib.pyplot as plt #

t = [i for i in range(14)]
I2 = [0,2.3E-3,4.1E-3,5.5E-3,6.7E-3,7.6E-3,8.3E-3,8.7E-3,9.1E-3,9.2E-3,9.3E-3,9.4E-3,9.45E-3,9.5E-3]
H2O2 = np.array([9.5E-3,7.1E-3,5.4E-3,4.0E-3,2.8E-3,1.9E-3,1.2E-3,7.6E-4,4.3E-4,2.9E-4,2.0E-4,1.0E-4,5E-5,2.0E-5])

lnH2O2 = np.log(H2O2/H2O2[0])

#model
k,b = np.polyfit(t,lnH2O2,1)
lnH2O2_mod = [k*tps+b for tps in t]

plt.figure(2)
plt.plot(t,lnH2O2,'k+',label='Experimental values')
plt.plot(t,lnH2O2_mod,'k-',label='Modeled values, kapp = 0,46min-1, b=0.43')

plt.title ("Testing a first order law $v = k_{app}[H2O2]^1$")
plt.xlabel("time (min)")
plt.ylabel("$ln([H2O2]/[H2O2]_0)$")
plt.xlim(0,14)
plt.ylim(-7,1)
plt.legend()
plt.savefig("Kinetics-order1")
plt.show()

